[mpj] 01/22: One of the last two remaining dependencyies for beast-mcmc, package is not finished

Andreas Tille tille at debian.org
Wed May 11 06:46:55 UTC 2016


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository mpj.

commit f225a321a8a3a319cfeea457d3491173a484cbd4
Author: Andreas Tille <tille at debian.org>
Date:   Sat Jan 21 13:58:10 2012 +0000

    One of the last two remaining dependencyies for beast-mcmc, package is not finished
---
 debian/changelog               |  5 +++++
 debian/compat                  |  1 +
 debian/control                 | 33 +++++++++++++++++++++++++++++++
 debian/get-orig-source         | 44 ++++++++++++++++++++++++++++++++++++++++++
 debian/libmpj-java-doc.javadoc |  1 +
 debian/libmpj-java.jlibs       |  1 +
 debian/rules                   | 12 ++++++++++++
 debian/source/format           |  1 +
 debian/watch                   |  4 ++++
 9 files changed, 102 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..24cedc4
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+mpj (0.38-1) UNRELEASED; urgency=low
+
+  * Initial release (Closes: #?????)
+
+ -- Andreas Tille <tille at debian.org>  Mon, 21 Feb 2011 08:17:38 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..7f8f011
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+7
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..0a0ae4b
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,33 @@
+Source: mpj
+Section: java
+Priority: optional
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+DM-Upload-Allowed: yes
+Uploaders: Andreas Tille <tille at debian.org>
+Build-Depends: debhelper (>= 8), javahelper (>=0.25), openjdk-6-jdk, ant,
+ libservice-wrapper-jni, liblog4j1.2-java, libservice-wrapper-java
+Standards-Version: 3.9.2
+Homepage: http://mpj-express.org/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libmpj-java/trunk
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libmpj-java/trunk/
+
+Package: libmpj-java
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
+Recommends: ${java:Recommends}
+Description: Java library for parallel applications for multicore processors and compute clusters/clouds
+ MPJ Express is a Java message passing library that allows application
+ developers to write and execute parallel applications for multicore
+ processors and compute clusters/clouds.
+
+Package: libmpj-java-doc
+Section: doc
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
+Recommends: ${java:Recommends}
+Description: Java library for parallel applications for multicore processors and compute clusters/clouds
+ MPJ Express is a Java message passing library that allows application
+ developers to write and execute parallel applications for multicore
+ processors and compute clusters/clouds.
+ .
+ This package provides the documentation for the library
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..bb832db
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,44 @@
+#!/bin/sh
+# get source for libmpj-java and remove unneeded jars and binaries
+
+set -x
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+# unmangle version
+UVERSION=`echo ${VERSION} | sed 's/\./_/'`
+UARCHIVEDIR=${NAME}-v${UVERSION}
+UPSTREAMARCHIVE=${UARCHIVEDIR}.zip
+
+mkdir -p ../tarballs
+cd ../tarballs
+mv ../${UPSTREAMARCHIVE} .
+unzip -q ${UPSTREAMARCHIVE}
+cd ${UARCHIVEDIR}
+
+# Remove unneeded binaries
+rm -rf bin/daemon*
+rm -rf bin/*.bat
+rm -rf bin/*.exe
+find . -name "*.dll" -delete
+find . -name "*macosx*" -delete
+find . -name "*solaris*" -delete
+
+# Remove binaries which are provided by Debian packages anyway
+find . -name "libwrapper*" -delete   # libservice-wrapper-jni
+rm -f lib/log4j*.jar                 # liblog4j1.2-java
+rm -f lib/wrapper.jar                # libservice-wrapper-java
+
+cd ..
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -czf "$NAME"_"$VERSION"~dfsg.orig.tar.gz "${UARCHIVEDIR}"
+# rm -rf ${UARCHIVEDIR}
diff --git a/debian/libmpj-java-doc.javadoc b/debian/libmpj-java-doc.javadoc
new file mode 100644
index 0000000..a3994cb
--- /dev/null
+++ b/debian/libmpj-java-doc.javadoc
@@ -0,0 +1 @@
+doc /usr/share/doc/libmpj-java
diff --git a/debian/libmpj-java.jlibs b/debian/libmpj-java.jlibs
new file mode 100644
index 0000000..8c5987b
--- /dev/null
+++ b/debian/libmpj-java.jlibs
@@ -0,0 +1 @@
+lib/*.jar
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..747df8a
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,12 @@
+#!/usr/bin/make -f
+
+JAVA_HOME=/usr/lib/jvm/default-java
+
+%:
+	dh $@ --with javahelper
+
+override_dh_auto_build:
+	ant build
+
+get-orig-source:
+	uscan --verbose --force-download
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..6e164cb
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,4 @@
+version=3
+opts="uversionmangle=s/_/./g" \
+   http://sf.net/mpjexpress/mpj-v(.+)\.zip \
+   debian debian/get-orig-source

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-java/mpj.git



More information about the pkg-java-commits mailing list